#! /bin/sh
# Purpose: test whether external convertor is executed with correct arguments,
# whether enca fails when it cannot find it iff it has something to convert
. $srcdir/setup.sh
if $ENCA --list convertors | grep '^extern$' >/dev/null; then
  TEST_TEXT=$srcdir/cs-s.iso88592
  OPTS="-L cs -x 1250"
  $ENCA -E $srcdir/dummy-convertor.sh $OPTS -C extern $TEST_TEXT | sed -e "s# $srcdir/# #" >>$TESTNAME.actual || DIE=1
  $ENCA -E tolstoj-mumble-mumble $OPTS -C built-in <$TEST_TEXT >/dev/null || DIE=1
  $ENCA -E tolstoj-mumble-mumble $OPTS -C extern <$TEST_TEXT >/dev/null 2>/dev/null && DIE=1
  $ENCA -E '' $OPTS -C extern <$TEST_TEXT >/dev/null 2>/dev/null && DIE=1
else
  cat $srcdir/$TESTNAME.expected >$TESTNAME.actual
fi
. $srcdir/finish.sh
